#32/64bit

%define name	gsopcast
%define version	0.4.0
%define release	%mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A GTK GUI front-end of sopcast.
License:        GNU General Public License (GPL)
Group:          Video
URL:		   http://lianwei3.googlepages.com/gtk20sopcast/
Source:         http://code.google.com/p/gsopcast/%name-%version.tar.xz
Patch0:         gsopcast-0.4.0-header.patch
Patch1:         gsopcast-0.4.0-channel_filter.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig 
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
Requires: mplayer
Requires: sp-auth >= 3.2.6
Obsoletes:  %name < %version


%description
gsopcast is a GTK GUI front-end of the Linux command line executive of P2P TV sopcast.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x

%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Multimedia" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS ChangeLog
%{_datadir}/pixmaps/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sun Feb 09 2014 Ken <lxgator at gmail.com> 0.4.0-4pclos2014
- rebuild 

* Wed Feb 03 2010 slick50 <lxgator@gmail.com> 0.4.0-3pclos2010
- rebuild & added patch0 ,1
- fix sp-sc-auth binary d/load to a working server 

* Sat May 23 2009 slick50 <lxgator@gmail.com> 0.4.0-2pclos2009
- rebuild
- moved sp-sc-auth binary d/load to a working server
 
* Thu Aug 21 2008 slick50 <slick50@linuxgator.org> 0.4.0-1pclos2007
- Initial build for PCLinuxOS

